ChangeLog for KNotes
====================

2007/10/22  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>
    
    * split knote constructor into multiple procedures.
    * new QLayout based knote layout.
    * fixed always on vertical scrollbar size grip bug.
    * modified knotebutton behaviour and size on note.

2007/10/14  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>

    * added HACKING
    * added ISSUES
    * updated README and AUTHORS
    * modified knoteconfigdlg.cpp 
	       renamed "Remember Desktop" to "Remember desktop"

2007/10/13  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>

    * added Remember Desktop option to notes

2007/10/13  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>

    * removed Qt3 support dependencies found
    * stripped main.cpp, application class implemented in application.cpp
    * moved main.h to application.h
    * updated maintainer information
    * updated CMakeLists.txt
    * implemented command line option --skip-note

2007/09/21  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>

    * final-merge : format code to fit into KDEPIM Coding Guidelines
                   http://pim.kde.org/development/coding.php

2007/09/19  Guillermo Antonio Amaral Bastidas (gamaral) <me@guillermoamaral.com>

    * first-pass : format code to fit into KDEPIM Coding Guidelines
                   http://pim.kde.org/development/coding.php

2007/07/29  Guillermo Antonio Amaral Bastidas <me@guillermoamaral.com>

    * porting KNotes to KDE 4/KNotes 4:
        - re-implemented indentation for rich text notes
        - misc work

2006/01/16  Michael Brade <brade@kde.org>

    * fixed #119980: the knotes directory wasn't created in Kontact/KNotes
    * ported the networking code to KDE 4/KNotes 4

2006/01/09  Michael Brade <brade@kde.org>

    rewrote the networking code to use KNetwork:
    * fixed #110915: KNetwork has better error reporting than the previous
      code, now it says "connection actively refused" instead of "No such
      file or directory"
    * fixed #110838: this one was caused by an uninitialize variable, so it
      wasn't reproducible

2006/01/07  Michael Brade <brade@kde.org>

    * fixed #115009: since it doesn't seem clearly visible that the "Lock" menu
      item is down after clicking on it a different checked state and display a
      different text ("Unlock") and a different icon.
    * fixed #103780: Separate "Clear" action visually from Cut/Copy/Paste
      since it's not doing anything with the clipboard.
    * fixed #110672: added a "Do not show again" box to the delete note dialog
    * fixed #113223: actually set the "Keep Above/Below" bit when creating a
      note on startup

2006/01/06  Michael Brade <brade@kde.org>

    * fixed enabling/disabling of font and font size combos. Needed especially
      for Kontact where the toolbar is not hidden for non-RichText notes.

2006/01/04  Michael Brade <brade@kde.org>

    * more porting: 
       - KNoteButton almost done (the pixmap isn't shown)
       - drawing ported
       - Fancy style removed, I'm working on the Qt 4 one

2005/12/30  Michael Brade <brade@kde.org>

    * no Q3* in KNotesApp anymore

2005/12/29  Michael Brade <brade@kde.org>

    * use Qt 4's context menu events instead of our own implementation
    * more porting
    * more correct enabling of edit actions when (un)locking a note

2005/12/28  Michael Brade <brade@kde.org>

    * first port to QText* classes and KDE 4.0
    * get rid of client-specific code in KNotes, it has to be added in
      KPilot directly
    * fix default color setting of KConfigXT, it is code
    * new version

2005/09/06  Michael Brade <brade@kde.org>

    * make note colors in Kicker work again for new notes and on start-up.

2005/09/06  Michael Brade <brade@kde.org>

    * fixed #106724: don't overwrite files without asking for confirmation
      first

2005/08/17  Alejandro Exojo <suy@badopi.org>

    * Allow the selection of the file where the file resource should store the
      notes. If no file is found in the config, fall back to the standard one.

2005/05/30  Michael Brade <brade@kde.org>

    * wish #99853: give KNotes a new and fancy style, configurable in the
      global settings. Thanks to Bera Debajyoti for the initial patch and
      the idea!

2005/04/13  Michael Brade <brade@kde.org>

    * fixed #103777: save note as plain text actually saved it as richt text
      and vice versa

2005/04/11  Michael Brade <brade@kde.org>

    * fixed #101875: also save the note's position when hiding it
    * fixed #102546: don't write the global config file every 60 seconds,
      do it only when the notes are saved as well

2005/02/21  Michael Brade <brade@kde.org>

    * fixed #93001: strikeout text now actually works for multiple paragraphs
      as well.
    * fixed #18059: finished implementation of alarms for the notes

2005/02/05  Michael Brade <brade@kde.org>

    * fixed crash when deleting a note
    * KNotes startup much faster

2005/02/02  Michael Brade <brade@kde.org>

    * implemented #69137: read-only support for the notes, i.e. the ability to
      lock a note from being modified.

2005/01/16  Michael Brade <brade@kde.org>

    * read the most recent instead of always taking the local knotesui.rc file
    * started implementing alarms for the notes

2005/01/09  Michael Brade <brade@kde.org>

    * fixed #76435: most wanted feature: find function for the notes.
      At the moment the shortcut doesn't work.

2004/11/28  Michael Brade <brade@kde.org>

    * fixed #90744, #91702, #92596, #93499: save modified notes on quit, may
      not have happened when the note still had focus. Also, the problem
      with knotesnotes.ics is gone now.

2004/09/27  Michael Brade <brade@kde.org>

    * no compile-time dependency on kdebase allowed, so read kwinrc directly

2004/08/31  Michael Brade <brade@kde.org>

    * now KNotes always saves the desktop of its notes since this is what one
      would expect, I guess. Visible change: if you hide a note, change to
      another desktop and show it again, the note will be shown on the desktop
      where it has been hidden. And more important, if a note is sticky it will
      still be sticky after it is first hidden and then shown again. Let's see
      what the users' feedback will be.

      This will also make it possible to properly implement the often requested
      hide all/show all notes feature.
    * fixed #29242, #44761, #65090: implemented Show All/Hide All Notes and
      added a global shortcut for both actions. Thanks to Jakob Schroeter for
      the initial patch on which this is based and the idea to add the global
      shortcut. With my previous patch to properly store the desktop this
      feature is now usable.

2004/08/29  Michael Brade <brade@kde.org>

    * fixed #77202: removing the global event filter where I not only returned
      the proper boolean value but also (incorrectly) changed the accept/ignore
      flag of key events fixed the endless loop that caused the stack overflow.
    * fixed #68031, #81888: configuring shortcuts is possible now and changes
      are preserved between several KNotes sessions. All possible interactions
      with KNotes can have custom shortcuts, there are no hidden features
      anymore.

2004/08/28  Michael Brade <brade@kde.org>

    * fixed #71593, #86711: add the possibility to save a note to a file, either
      in plain text or rich text format. Initial patch by Jakob Schroeter,
      js AT camaya DOT net, thanks!

2004/08/27  Michael Brade <brade@kde.org>

    * fixed #50104, #75485: finally (!) use KWin to move the note windows. Thanks
      to Luboš for telling me that just the XUngrabPointer line was missing to
      make it work.
      This enables the active desktop borders and snap zones for KNotes.
    * fixed #68481: Also using a tip from Luboš I made KNotes put its close
      button where all the other windows have it as well. KNotes needs to be
      restarted though to make a change take effect. Needs a fix.

2004/08/26  Michael Brade <brade@kde.org>

    * fixed jumping/moving of the title text on focusIn/Out events, still not
      perfect

2004/08/25  Michael Brade <brade@kde.org>

    * split KNotes into 5 static libraries to provide for reusability of parts
      of KNotes.

2004/08/22  Michael Brade <brade@kde.org>

    * fixed #81672: when there are no notes don't put the toolbar in the system
      tray *blush* by splitting the XMLGUI file for the system tray and the
      notes
    * still share the parsed note xmlgui file between the notes by parsing it
      and creating a QDomDocument in KNotesApp already
    * when there is no note after restoring a session, still show the "No Notes"
      item in the notes menu
    * each note now has its own KXMLGUIBilder to get rid of the reparent-call,
      the builder's parent will be the widgets' parent
    * fixed #87696: allow default sizes as small as 50x50 pixels

2004/08/20  Michael Brade <brade@kde.org>

    * fixed #85973: respect newlines when switching from plain text to
      rich text
    * fixed #87266 by making sure that at least 10 pixels of a note are visible

2004/05/02  Michael Brade <brade@kde.org>

    * Security: listening on the network for new notes is now off by default

2004/05/02  Michael Brade <brade@kde.org>

    * Most probably fix a bug that freezed KNotes every now and then: file_copy
      was called twice for some reason. Remove it altogether since ICalFormat
      does backups for about a year already. Thanks to David for the hint!

2004/04/27  Michael Brade <brade@kde.org>

    * more work on networking: send and receive note titles and sender name,
      compatible with ATnotes. New config option to set the sender id.

2004/04/24  Michael Brade <brade@kde.org>

    * made the note icons in the taskbar represent the note color, used the
      same icons in the menu with the notes list

2004/04/24  Michael Brade <brade@kde.org>

    * streamlined the config dialogs, reflect that only some dialogs are defaults,
      others are global settings

2004/04/23  Michael Brade <brade@kde.org>

    * fixed adding a new resource every start of KNotes. Please delete
      your .kde/share/config/kresources/notes/stdrc file to make KNotes start
      fast again. KNotes is ready for release now :)

2004/04/21  Michael Brade <brade@kde.org>

    * fixed #78362: accept color drops and change background color accordingly
    * fixed being able to uncheck all text format buttons in RT mode

2004/04/20  Michael Brade <brade@kde.org>

    * revert dependency on kdelibs-HEAD, we need KDE 3.2.x for the KDE PIM 3.3
      release
    * add a hack to work around inconsistency/limitation in KConfig XT:
      it is not possible to make one KCXT-generated class inherit another
      one due to CTOR-incompatibilites. The hack installs a CustomAddition
      and simply provides a copied&pasted CTOR from the generated code with
      adapted arguments (none, actually).
    * so now KNotesGlobalConfig inherits KNoteConfig and the global config
      dialog needs only one KConfigSkeleton---the former one
    * due to the last point it is now possible (and needed) to not simply copy
      the knotesrc for new notes but rather just copy part of KNotesGlobalConfig
      into the new KNoteConfig object. And boy, this makes creation of new notes
      *heaps* faster, even on my PIV1800! (I guess everything has its good side)
    * and last, another good thing about this: knotesglobalrc is dead and the
      MailAction is back to knotesrc again, so no incompatibilites with "old"
      KNotes versions :)

2004/04/19  Michael Brade <brade@kde.org>

    * added configuration of network settings:
       - enable/disable listening for new notes
       - set the port used for sending and receiving notes
    * added a second config file, knotesglobalrc, since network settings
      are not local to every note and should not sit in every note's (display)
      config file
    * moved MailAction to the global config file as well
    * now actually save the recent hosts as well.

2004/04/14  Michael Brade <brade@kde.org>

    * use a KHistoryCombo for the KNoteHostDlg. This prevents the possibility
      to send a note to more than one host at once, so keep only the list of
      recent hosts without weighting for compatibility in case this feature is
      requested later

2004/03/31  Michael Brade <brade@kde.org>

    * hmm, wasn't such a good idea to set a default desktop in KConfig XT - only
      changes will actually be saved and thus every new note that is not moved
      to a different desktop after creation appeared on the desktop KNotes was
      started on. Fixed.

2004/03/24  Michael Brade <brade@kde.org>

    * fixed #71685: again a libical bug, it did not encode '\' at all so it was
      possible to write control sequences in KNotes, e.g. \n.

2004/03/23  Michael Brade <brade@kde.org>

    * optimized networking code, merged KNotesNetworkListener and KNotesApp

2004/03/23  Michael Brade <brade@kde.org>

    * adapted and applied patch from Daniel Martin to enable communication of
      KNotes with ATnotes on Windows machines and other network-enabled
      KNotes. Notes can be sent and received over the network. Thanks to
      Daniel's excellent code only a minimal set of lines in KNotes itself
      had to be touched. (also fixes #57196)

2004/03/23  Michael Brade <brade@kde.org>

    * Thanks to Luboš for his function that removes sm from the client
      leader KNotes is not managed anymore by KWin (again) and is now
      thus able to restore its notes properly on login with manually saved
      sessions.
    * fixed 75341: implemented support for the "strike out" text property

2004/03/21  Michael Brade <brade@kde.org>

    * fixed Tab key handling in RT mode: do not give away focus to the font
      combo box (in fact, not to anything)

2004/03/19  Michael Brade <brade@kde.org>

    * fixed updating the icon in the notes menu after a color change
    * fixed change of font family in richt text mode
    * fixed updating of font and font size combo box
    * fixed bug that made the html source show up in a text note when switching
      from rich text to plain text and then restarting KNotes
    * make KNotes interpret the text as rich text when switching from pain text
      to rich text
    * moved the rich text -> plain text conversion to KNoteEdit
    * finally switched rich text toolbar to XMLGUI as well
    * fixed #60841: include the title as subject by default when mailing a note
    * make mailing a note possible again at all - KMail now needs --body and not
      --msg as argument
    * convert rich text notes to plain text before emailing them
    * fixed #75793: notes should not resize in RT mode, moved to the bottom of
      the note

2004/03/17  Michael Brade <brade@kde.org>

    * set an appropriate caption icon for the config dialog
    * make the config dialogs non-modal, put the nodeId as widget name so that
      we can cache the dialog and open more than one at once
    * fixed #72657: Show note in taskbar did not work properly due to
      KWin not preserving NET::SkipTaskbar for hidden windows
    * fixed a bug that changes in the note default configuration will
      never be used (use KStandardDirs::saveLocation() instead of
      KStandardDirs::findResource())

2004/03/16  Tobias Koenig <tokoe@kde.org>

    * fixed bug that removed/added notes are/aren't visible in the LMB menu,
      we need to keep the KXMLGUIFactory around if the menu is to be changed
      later

2004/03/16  Michael Brade <brade@kde.org>

    * adapt to new KWin: s/Always on Top/Keep Above Others/g and added
      Keep Below Others; furthermore use the corresponding new NET::State flags
    * completely rewrote the config dialog, make it inherit KConfigDialog
    * ported KNotes to KConfig XT, had to change the config file format:
      removed "state" entry and added "KeepAbove", "KeepBelow", "ShowInTaskbar"

2004/03/15  Michael Brade <brade@kde.org>

    * removed const from KNotesApp::slotPreferences to make it possible to
      set KNotesApp as parent of the config dialog -> fixes jumping to another
      desktop when opening the config dialog

2004/03/13  Michael Brade <brade@kde.org>

    * s/ResourceManager/KNotesResourceManager/g

2004/03/11  Michael Brade <brade@kde.org>

    * massive internal improvements, no hacks anymore, only beautiful and
      clean code left :-)
    * ResourceManager now solely responsible for loading and saving the
      journals and the resources
    * KNotesApp provides the GUI for managing the KNote objects and KNote is the
      only class dealing with the display of a particular note including config
      file handling
    * no attachments anymore - notes carry their uid and that is the config file
      name anyway. Dunno why I introduced the attachments at all in the first
      place...
    * KNotes is now "network-enabled" regarding config files: it now only uses
      KIO::NetAccess for the file handling.

2004/03/09  Michael Brade <brade@kde.org>

    * fixed #68127: notes are not really deleted if deleting is the last
      action before quitting KNotes
    * fixed #72888, #73404, #75558: much more robust conversion of old config
      files, now hopefully absolutely no black notes anymore

2004/03/08  Michael Brade <brade@kde.org>

    * new version: 3.1

2004/03/06  Michael Brade <brade@kde.org>

    * fixed #72818: add a tooltip
    * fixed #74469: RMB menu locks whole desktop if opened on a modified note
    * fixed #75507, #76126: handle (load) tabs correctly, fix in libical
    * removed hack for the fix for #57367

2004/02/24  Michael Brade <brade@kde.org>

    * finished rich text mode, now using actions

2004/01/28  Bo Thorsen <bo@sonofthor.dk>

    * make KNotes use the KDE Resource Framework

2004/01/18  Laurent Montel <montel@kde.org>

    * if launching KNotes agin when already running, make it create a new note

2004/01/11  Michael Brade <brade@kde.org>

    * fixed MMB click on note title to put note really back
    * started conversion to using actions in rich text mode (finally!)

2003/10/21  Michael Brade <brade@kde.org>

    * fixed dropping of urls

2003/06/28  Michael Brade <brade@kde.org>

    * fixed #54293: sort note titles in the notes menu

2003/06/22  Michael Brade <brade@kde.org>

    * fixed #42088: don't loose notes if HD is full, always keep a backup
    * make it possible to select skip taskbar/not to skip taskbar on a
      per-note basis

2003/06/17  Michael Brade <brade@kde.org>

    * fixed #58338: show note title in taskbar
    * various code and style optimisations

2003/06/13  Maks Orlovich <mo002j@mail.rochester.edu>

    * fixed #59028: if title is too long to fit, left-align it, so we don't
      end up showing its middle

2003/04/25  Michael Brade <brade@kde.org>

    * HACK to fix #57367: Always On Top property lost when hide->show a note

2003/04/04  Luboš Luňák <l.lunak@kde.org>

    * fixed #56625: compensate for the menu separator when using the index

2003/02/06  Stephan Binner <binner@kde.org>

    * fixed #54108: "&" in note tile will be displayed as underscore in the menu

2003/01/26  Michael Brade <brade@kde.org>

    * use libkcals new Attachment class
    * the config file attachments have "application/x-knotes-config" mime type

2002/11/05  Michael Brade <brade@kde.org>

    * need to write the KNotes version to knotesrc, otherwise we'll get
      an additional new note the next startup

2002/11/03  Michael Brade <brade@kde.org>

    * found a nice way to prevent loosing focus when opening the RMB menu

2002/11/01  Michael Brade <brade@kde.org>

    * use iCalendar's uids as note ids, saves quite some code and adds the
      possibility to have more that one note using the same title. Also, now
      a note will never change its id again.

2002/10/31  Michael Brade <brade@kde.org>

    * faster shutdown

2002/10/30  Michael Brade <brade@kde.org>

    * faster startup
    * support for loading KOrganizer's journals:
        - use default config
        - set the start date as summary
    * support for a note on different desktops: check position and let KWin do
      the placement if it is illegal
    * fixed small bug in attachments path

2002/10/21  Michael Brade <brade@kde.org>

    * new version number, we now have KNotes 3.0
    * finished iCalendar code, KNotes is now fully working with libkcal - theoretically,
      as attachments aren't implemented in libkcal yet

2002/10/20  Michael Brade <brade@kde.org>

    * new class KNotesLegacy which stores all the code dealing with
      outdated config files
    * fixed some bugs I found while rewriting the config stuff
    * newNote and newNoteFromClipboard now take a "const QString& name"
    * new subdirectory "icons" to make KIconLoader apply its effects to all
      KNotes icons

2002/10/17  Michael Brade <brade@kde.org>

    * first steps to make KNotes save its data to iCal

2002/10/16  Michael Brade <brade@kde.org>

    * moved icons into their own subdirectory
    * removed really old icons
    * made KNoteButtons always square
    * show the rich text actions only for actual rich text notes
    * don't emit the bold/italic/underline signals when moving the cursor
      or selecting text, otherwise this will change the selected text!

2002/10/15  Michael Brade <brade@kde.org>

    * rewrote KNoteButton (code was from the last stone age ;)

2002/10/15  Michael Brade <brade@kde.org>

    * added basic gui for rich text support, needs polishing
      (too bad I can't use actions yet!)

2002/10/04  Michael Brade <brade@kde.org>

    * fixed cut, paste, undo and redo activation

2002/09/30  Michael Brade <brade@kde.org>

    * fixed mouse behaviour to be like kwin:
         - raise() and lower() windows already on mouse button press,
           not on mouse button release
         - MMB moves notes as well
    * reduced code duplication (setColor, updateFocus)
    * fixed some consts

2002/09/28  Michael Brade <brade@kde.org>

    * finally fixed the session management bug (remove the sessionId from
      all notes => KWin will ignore them)

2002/09/26  Michael Brade <brade@kde.org>

    * new version number

2002/09/25  Michael Brade <brade@kde.org>

    * patch from Matthias Kiefer:
        - add DCOP call hideNote()
        - add new action "New Note from Clipboard"
        - nice icon for the "Insert Date" action
        - global shortcuts for "New Note" and "New Note from Clipboard"
    * changed some actions to KStdActions
    * removed the "Notes" sub-menu from the RMB menu

2002/09/24  Michael Brade <brade@kde.org>

    * fixed printing:
        - do not use private Qt headers
        - use the correct font

2002/09/21  Michael Brade <brade@kde.org>

    * inherit KTextEdit instead of QTextEdit
    * fixed drag and drop of text and URLs
    * fixed changing of font size/family/style

2002/09/10  Michael Brade <brade@kde.org>

    * fixed one more readNumEntry, thanks to Matthias Kiefer

2002/06/17  Wynn Wilkes <wynnw@wilkes.ws>

    * fixed a bug where new notes with the version of 2.2 were seen as old notes
      and were converted which led to bad note config files and a big black screen

    * fixed the note conversion code to use KNOTES_VERSION

2002/05/10  Michael Brade <brade@kde.org>

    * fixed crash on exit due to wrong deletion order
    * fixed #42437: preferences never got saved (whoops!!)

2002/03/08  Michael Brade <brade@kde.org>

    * fixed #38958: Show note color in notes menu

2002/01/23  Michael Brade <brade@kde.org>

    * fixed #36376, #36799: MMB for new note

2002/01/22  Michael Brade <brade@kde.org>

    * fixed #37222: Alt-F4 "deletes" note
    * fixed #37176: ask for confirmation before deleting a note
    * fixed #36374: double click to rename a note
    * email updates

2001/09/09  Michael Brade <brade@informatik.uni-muenchen.de>

    * improved the config dialog
    * almost finished rich text notes

2001/09/08  Michael Brade <brade@informatik.uni-muenchen.de>

    * bugfixes to make KNotes work with Qt3

2001/09/04  Michael Brade <brade@informatik.uni-muenchen.de>

    * compile with Qt3
    * started some work on rich text notes (no GUI yet)

2001/07/13  Michael Brade <brade@informatik.uni-muenchen.de>

    * fixed #28879 (titles were not centered)

2001/07/11  Michael Brade <brade@informatik.uni-muenchen.de>

    * fixed #28627 (%t in Mail Action)
    * started to fix #23567 (printing)

2001/07/09  Michael Brade <brade@informatik.uni-muenchen.de>

    * don't reread the knotesui.rc all the time a new note is created

2001/06/23  Michael Brade <brade@informatik.uni-muenchen.de>

    * fixed #18086 (add a size grip for the notes)
    * update the title layout if the font was changed

2001/06/17  Michael Brade <brade@informatik.uni-muenchen.de>

    * finished porting KNotes to the XMLGUI framework
    * fixed auto-indent
    * fixed the RMB menu

2001/06/11  Michael Brade <brade@informatik.uni-muenchen.de>

    * improved Configdialog:
      - use nicer and bigger icons
      - removed the size setting from the local note config dialog
      - #20172: separate font settings for title and body
    * don't reload the display setting if changing e.g. only the color -
      the note's geometry could have been changed already
    * fixed some bugs introduced by the QTextEdit port

2001/06/10  Michael Brade <brade@informatik.uni-muenchen.de>

    * if there's only one note jump to it immediately instead of
      showing the LMB menu

2001/06/10  Michael Brade <brade@informatik.uni-muenchen.de>

    * small bugfix: display "No notes" instead of nothing in the LMB
      menu if there are no notes anymore.

2001/06/10  Michael Brade <brade@informatik.uni-muenchen.de>

    * ported to QTextEdit
    * updated actions, removed the ActionProperties section for now

2001/06/05  Michael Brade <brade@informatik.uni-muenchen.de>

    * started to port KNotes to the XMLGUI framework (50% done)
    * dropped KSystemTray inheritance

2001/05/19  Michael Brade <brade@informatik.uni-muenchen.de>

    * fixed the session management bug (#22844)
    * added two more icons to the context menu
    * fixed the undo/redo: no more undo right after startup possible
    * improved the code for saving the notes a lot, saved a little
      memory by removing a now unneeded variable

2001/05/06  Michael Brade <brade@informatik.uni-muenchen.de>

    * made the notes look 3d
    * added a small border to the text
    * change the color of the title to show the focus state

2001/04/25  Michael Brade <brade@informatik.uni-muenchen.de>

    Updated this file! It's time now, after one and a half years...

2001/04/25  Michael Brade <brade@informatik.uni-muenchen.de>

    Fixed the DCOP interface, no overloaded methods anymore.

2001/03/29  Nikolas Zimmermann <wildfox@kde.org>

    converted to KPrinter

2001/03/29  Michael Brade <brade@informatik.uni-muenchen.de>

    Focus updates. Fix for BR2333, it's time now ;-)

    GUI: Esc closes the current note, Shift-Tab cycles through the notes.
         TODO: make this configureable

2001/03/25  Michael Brade <brade@informatik.uni-muenchen.de>

    * Some internal redesign
    * the notes are now saved on FocusOutEvent to reduce the possibility
      of data loss (Bug#19851)
    * restructured the menu
    * most important: rewrote and extended the DCOP interface. KNotes now
      provides methods to work fine with PDA sync utils, ATM that's KPilot.
      The number of apps that can sync with KNotes is not limited.

2001/02/04  Michael Brade <brade@informatik.uni-muenchen.de>

    The fix for the broken config files. Enabled the "Stays On Top" option
    as well.

2001/01/18  Matthias Kiefer <matthias.kiefer@gmx.de>

    desktop names are encoded in utf8

2000/12/19  Wynn Wilkes <wynnw@calderasystems.com>

    Added support for two dcop calls, rereadNoteDirectory and addNote
    The addNote doesn't work yet - there's some problem with the DCOP
    when I've tested from the command line.

    Cleaned up the internal code to use new private functions that handle
    the different cases.

2000/12/19  Adriaan de Groot <adridg@sci.kun.nl>

    Added DCOP calls to manipulate notes (intended for KPilot)

2000/10/15  Antonio Larrosa Jimenez <larrosa@kde.org>

    The patch by Michael Brade <Michael.Brade@informatik.uni-muenchen.de>
    posted on kde-core-devel some days ago. Partly reviewed by Wynn Wilkes.

2000/10/04  David Faure <faure@kde.org>

    Patch from Wynn Wilkes, reviewed by Michael Brade, approved by Matthias Elter.
    It fixes the following problems:
    "There are some bad memory leaks in the current cvs, and the note data is not
    saved on a session shutdown.  The patch fixes those and adds some workarounds
    for some weird behavior in the QMultiLineEdit widget which adds some phantom
    lines to your text now and then.  It also reduces the memory usage by not
    keeping a KConfig object open for each note all the time - it just creates
    them when saving new changes to the note settings."

2000/09/24  Dirk Müller <mueller@kde.org>

    - first attempt fixing the blatant memory leaks in this app.
      it still does a lot of crazy things, like keeping all kinds of KSimpleConfig
      objects open all the time and writing new coordinates to it in the ::resizeEvent.
      it still leaks as the KNote objects are not deleted. this needs more work
    - code cleanup. use KWin convenience functions instead of hacking
      our own NetWM queries. tested by myself. This simple code is probably
      example code for other developers, so its important that it isn't
      totally screwed up.
    - removed unnecessary header file.
    - fixed a few uninitialized variable reads that could lead to a crash
      approved by insure++

2000/09/23  Matthias Ettrich <ettrich@kde.org>

    removed unused (but linked) file. Show nodelist on LMB as it was in KDE1

2000/09/14  Wynn Wilkes <wynnw@calderasystems.com>

    Tons of fixes:
     - Window Manager integration readded
     - Notes don't appear on the taskbar
     - Printing works
     - Notes can be sticky
     - Added good defaults to config reading - so no albino notes

2000/08/18  Waldo Bastian <bastian@kde.org>

    Adjust size of header to size of font.

2000/08/11  Wynn Wilkes <wynnw@calderasystems.com>

    * Fixed mail action to use a generic mail command with %f as the file.
    * Fixed the mail action to use full path names- that's all kmail works with
      currently.
    * fixed the action page of the config dialog to provide an edit box for
      the mail command, took out label for printing since it won't be done..

2000/07/31  Stefan Schimanski <1Stein@gmx.de>

    Rename bug #5858 fixed.

2000/07/28  Wynn Wilkes <wynnw@calderasystems.com>

    Config dialog:
    * start putting in support for action configuration, waiting to hear from
      kmail guys about --msg option
    * Changed to be a modal dialog

2000/07/14  Wynn Wilkes <wynnw@calderasystems.com>

    removed WABA's net entry for removing window borders...
    KWin is respecting the Qt flags again it seems, it works without this now

2000/07/06  Waldo Bastian <bastian@kde.org>

    +       //WABA: Get rid of decorations. I can hardly imagine that
    +       //this is "The Right Way" of doing that.
    +       KWin::setType( winId(), NET::Toolbar);

2000/06/21  Wynn Wilkes <wynnw@calderasystems.com>

    Almost done with the config dialog
    Fixed knotesrc problem with session management

2000/06/13  Wynn Wilkes <wynnw@calderasystems.com>

    updated for change in file structure- removed old dockwidget code

    Further progress on porting, configure dialog almost done

2000/05/30  Wynn Wilkes <wynnw@calderasystems.com>

    KNotes rewrite:
     - changed config file to use KConfig
     - use KDockWindow and KUniqueApplication
     - Changed structure to make smaller files

2000/01/30  Charles Samuels <charles@kde.org>

    This is my daily huge commit for KAboutData.  There are also patches for
    KCmdLineArgs (so it works).  Ktop is really doing bad folks.

2000/01/03  Espen Sand <espen@kde.org>

    Using KContextMenuManager to decide when to display popup menus.
    I do this for the popup menu in the taskbar as well. I assume this
    is correct?

    Replaced QPopupMenu with KPopupMenu in the taskbar widget.

1999/12/30  Espen Sand <espen@kde.org>

    * Every dialog ported to KDialogBase by translator
      requests (fixed sizes removed).

    * Undo/Redo! A no-brainer because of QMultiLineEdit.

    * Some cleanup and rearrangement of popup dialogs.

    Todo
    -----
    I think the docking pixmap has a wrong size. It
    is not aligned with the Display Property pixmap in kicker.



Old KNotes ChangeLog (KDE 1.x):
===============================

1999-10-16  Harri Porten  <porten@kde.org>

    * knotes.cpp: applied Unicode patch from Ming-Che Chuang
    <r8921131@ms1.cc.ntu.edu.tw>

1999-09-25  Harri Porten  <porten@kde.org>

    * alarm.cpp: remove (A) from lable when unsetting alarm
    (patch by Michael Haeckel <Michael.Haeckel@stud.uni-bayreuth.de>

Tue Aug  3 02:23:09 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

    * added standard accelerator keys (new, print, save, help, close, quit)
    * added "always on top", configurable in the popupmenu
    * added possibility to play a sound when an alarm is activated,
      configurable in the defaults dialog
    * replaced the custom spinboxes with QSpinBoxes and made the dialog use
      layout management (still not perfect, yet)

1999-06-07  Petter Reinholdtsen <pere@td.org.uit.no>
    * knotes.cpp: Changed text Quit to Exit to match KDE style guide.

1999-05-22  Dirk A. Mueller  <dmuell@gmx.net>

    * Ported to the Qt DND classes. It accepts QTextDrag, handled by
    QMultiLineEdit and QUrlDrag.

1999-03-07  Harri Porten  <porten@kde.org>

    * make it compile with Qt 2.0.
    * knotes.cpp: adapt to different id numbering of QPopupMenu
    * docking.cpp: get along without the PMERROR macro whose i18n() did not
    get parsed by msgfmt.

Tue Feb 16 09:34:25 1999  David Faure  <faure@kde.org>

    * Added option "dock in panel" (to disable docking)
    Docking is automatically re-enabled if the last note is deleted
    * Move options submenu to toplevel RMB menu (too many submenus!)
    * Re-added "Quit" menu entry (in order to quit when docking is off)

1999-02-16  Harri Porten  <porten@kde.org>

    * fixed SIGSEV caused by double-clicking on empty places.
    * introduced a simple sessionWidget that will catch the
        saveYourself() signal from the session manager and invoke saving all
        data. This is more robust than having concurring methods in every
        widget and works without the saved_already_for_session_management
        variable that was NOT unset if the user canceled the shutdown (bug !)
    * renaming: missing slash broke renaming.
        * set atomic flag in cleanup(). Hope to have avoided occasional crash
        leading to data loss.
    * Replaced ~/.kde with KApplication::localkdedir()
        * option menu: disabled illogical switch between "3D frame" and
        "no frame" label. It is a checkable entry!

Fri May 29 05:36:36 1998  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

    * KNotes are now automatically saved all 15 minutes.
    * added explicit save command on request.

Thu Apr  9 03:21:54 1998  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

    * knotes recognizes urls now.
    * Fixed up knotes and implemented docking properly

Thu Aug  7 18:50:59 1997  Bernd Johannes Wuebben  <wuebben@petit.cornell.edu>

    * knotes.cpp: knotes now save themselves on X sever exit

Mon Nov 17 21:32:28 1997  Didier Belot <dib@avo.fr>

    * added all necessary stuff for locale (klocale->translate())

Sat Nov 22 13:13:05 1997 Matthias Ettrich <ettrich@kde.org>

    * sessionmanagement: uses kwm properties now, not only geometry info
    * look: pretty thin border. KPostit does no longer inherit QMultiline
            but simply QFrame. New class: KPostitMultilineEdit.
            New QMessage box for warning. Icon+Miniicon.
    * feel: moving possible with the label, rmb menu contains toDesktop
            and sticky, notes are activated not only raised. Alt-F4
            can remove a note now.
    * invocation: change: siguser1 will give you a new knote (like
            taking a new paper from a block).
            "-knotes_restore" used for session management.
            Do NOT use "-restore" since kapplication filters this!
